
Figure - Bug #118321
【IOVDEV-30171】【VC1】【0095】【台架】【EE环境】【副屏】【桌面编辑】桌面编辑状态，进入屏保-退
出屏保，退出桌面编辑状态
2023-05-27 19:52 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-27

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.C103

Resolution: INVALID Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】：EE环境

【问题出现时间】：20230524 14:57，第85次开机

https://ofs.human-horizons.com/#/download/index/EcfS%2B7Ry9xk%3D

【前提条件】：副屏上电

【操作步骤】：1、长按桌面空白处2s,进入桌面编辑模式

2、屏幕顶部下滑打开控制中心，点击屏保模式

3、上滑退出屏保模式

【实际结果】

返回桌面

【期望结果】launcher UI 需求文档：

【备注】：https://ofs.human-horizons.com/#/download/index/buqdL47SNl0%3D

【副屏版本号】：01.00.0100.C103

【中控版本号】：03.02.0082.C102.02_userdebug_2305191401

【VIN】HRYTTESTVINMGM403

History

#1 - 2023-05-29 09:49 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

#2 - 2023-05-29 17:11 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

#3 - 2023-05-29 17:17 - CD APP-王营

【状态】

Launcher编辑模式根据Launcher的状态进行管理，在Launcher打开其他Activity的时候Launcher的状态会恢复到Normal，即退出了编辑模式

【下一步】

评估Launcher状态切换逻辑，在编辑模式下不要进行状态切换，仅在点击“完成”按钮的状态下才能退出编辑模式。
#4 - 2023-05-30 11:05 - CD APP-王宏

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王宏 to CDTS_TEST 王成

■ Current conclusion

分析完毕

■ My analysis

根据调查，我们建议保持当前的设计，理由如下：

1、Launcher的编辑模式属于实时保存数据，完成按钮在此功能下只是退出编辑模式，所以在其他操作退出编辑模式后并不会影响用户的编辑内容。

2、进入屏保或者在控制中心打开其他应用属于离开了Launcher Activity，Launcher状态转入后台发生变化，此状态变更遵循了Launcher的状态框架。

3、Launcher编辑模式的架构设计基于Launcher3的状态管理模式，受影响的位置较多，如果对于启动其他应用Activity的情况单独处理会有很大的改动，同

时会有一些不可预知的风险，综合评估建议保持当前的逻辑，进入其他应用Activiy时即Launcher恢复正常状态退出Edit_Mode。

■ Next action

请客户评估是否可以保持当前状态

#5 - 2023-05-30 11:07 - CDTS_TEST 王成

- Subject changed from 【IOVDEV-30171】【VC1】【0095】【台架】【EE环境】【副屏】【桌面编辑】桌面编辑状态，进入屏保-退出屏保，退出桌面编

辑状态� 32 之 65 上一问题'IOVDEV-30883' 下个问题'IOVDEV-27968' 返回到搜索 to 【IOVDEV-30171】【VC1】【0095】【台架】【EE环境】【副屏】【桌

面编辑】桌面编辑状态，进入屏保-退出屏保，退出桌面编辑状态

#6 - 2023-06-03 17:49 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to INVALID

6.3

客户已确认，可关闭

#7 - 2023-06-03 17:49 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#8 - 2023-06-03 17:49 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

退出桌面编辑方式.png 21.5 KB 2023-05-27 CDTS_TEST 王成

桌面编辑状态进退屏保被打断.mp4 4.84 MB 2023-05-27 CDTS_TEST 王成
